# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # UK FPS: Send funds in real time ## Overview UK Faster Payments System (UK FPS) is a payment rail that enables you to send funds from a Wallet DDA in the UK (London branch) to a counterparty's bank account in the UK that supports UK FPS. You can send funds 24 hours a day, 365 days a year, and the funds become available to the recipient in as little as 15 seconds. For an overview of payment types in Wallet, see [Payments](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview). ### Use cases You can use the UK FPS payment rail to transfer funds in GBP near-instantly between UK banks. For example: - Merchant services platform: Pay out a merchant's revenue to their UK bank account. - Video game company: Pay out a player's in-game currency to their UK bank account. - Marketplace platform: Pay out a seller's revenue to their UK bank account. ### Key information The following table describes important information about UK FPS. **Key information for UK FPS** | Production endpoint | v3.x: https://apigateway.jpmorgan.com/tsapi/v3/jpmwallet/payments/advanced-batch Use if you need to send funds from Japan or handle BGN currency. | v2.x: https://apigateway.jpmorgan.com/tsapi/v2/jpmwallet/payments/advanced-batch Use if you don't require v3. | | --- | --- | --- | | Client testing endpoint | v3.x: https://apigatewaycat.jpmorgan.com/tsapi/v3/jpmwallet/payments/advanced-batch | v2.x: https://apigatewaycat.jpmorgan.com/tsapi/v2/jpmwallet/payments/advanced-batch | | API reference | v3.x: [Initiate one or many PayOuts](/api/treasury/jp-morgan-wallet/doc#/operations/generatePayoutBatchTransactions) | v2.x: [Initiate one or many PayOuts](/api/treasury/jp-morgan-wallet/doc-2#/operations/generatePayoutBatchTransactions) | | Supported branches | J.P. Morgan Chase Bank, London branch (see [Reference - Supported branches and their Business Identifier Codes](/docs/treasury/jp-morgan-wallet/reference#supported-branches-and-their-business-identifier-codes-bics)) | | Supported currencies | GBP | | Supported account types | All (Demand Deposit Account - DDA and Customer Money Account - CMA) | | Payment type | - [PayIn](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payin) - [PayInto](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payinto) - [PayInto Collection](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payinto-collection) - [PayInto Receipt](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payinto-receipt) - PayOut - [PayOut Collection](/docs/treasury/jp-morgan-wallet/capabilities/payments/outgoing/payout-collection) | | Payment flows | - Domestic, same currency: GBP to GBP - Domestic, Foreign Exchange (FX): Not supported - Cross-border, same currency: Not supported - Cross-border, FX: Not supported | | Transaction limit | £1,000,000 | | Cut-off time | No cut-off time | | Settlement period | Immediately | | Returns, recalls, and reversals | Not supported | | Service level code | Set serviceLevel.code to INST | ### Prerequisites Before you can execute transactions using the UK FPS payment rail, you must configure your Wallet program for UK FPS. For more information, ask your J.P. Morgan representative. ### Reporting UK FPS transactions appear on your daily **TRANSACTION ACTIVITY** reports. The following table is an example of what a UK FPS transaction on a **TRANSACTION ACTIVITY** report might look like. **TRANSACTION ACTIVITY report example** | CLIENT ID | 0186125263 | | --- | --- | | PROGRAM ID | 1000000006 | | BUSINESS PROCESSING DATE | 3/4/2026 | | BANK NAME | JPM London | | WALLET DDA NUMBER | XXXXXXXXXX | | WALLET CURRENCY | GBP | | RECEIVED DATE | 3/3/2026 | | REQUESTED VALUE DATE | 3/3/2026 | | VALUE DATE | 3/4/2026 | | CLIENT TXN ID | SMOKE-031816367 | | TXN TYPE | PAYOUT | | DEBTOR ACCOUNT | XXXXXXXXXX | | DEBTOR NAME | EWALLET ORIGINATOR | | DEBTOR VIRTUAL ACCOUNT ID | VAID-smoke01 | | DEBTOR AGENT | JPMORGAN CHASE BANK N.A. | | DEBTOR AGENT ID | CHASGB2LXXX | | DEBIT AMOUNT | 0.02 | | DEBIT CURRENCY | GBP | | CREDITOR ACCOUNT | XXXXXXXXXX | | CREDITOR NAME | XXXXXXXXXX | | CREDITOR AGENT | JPMC LONDON BANK | | CREDITOR AGENT ID | GBDSC 839146 | | CREDIT AMOUNT | 0.02 | | CREDIT CURRENCY | GBP | | STATUS | COMPLETED | | SETTLEMENT METHOD | RTP | | PRN | XXXXXXXXXX | | REMITTANCE INFO | Remittance text | | BATCH ID | SMOKE-031816367 | | MATCHED REFERENCE ID | SMOKE-031816367 | | DDA NARRATIVE | Remittance text | ### Notes Both the debtor account and the creditor account must support UK FPS. ## Important parameters The following sections list important parameters in the UK FPS PayOut request along with their requirements. Not all parameters are listed here—for a complete list, see the API reference. ### Header parameters Include the following parameters in the header. **Header parameters for UK FPS** | Parameter | Required / Optional | Description | | --- | --- | --- | | programId | Required | Your Wallet program ID. | | transactionType | Required | Type of the transaction. Set to PAYOUT. | ### Body parameters Note the following important body parameters for UK FPS PayOut transactions. #### groupHeader The `groupHeader` object contains information about the batch of transactions. **groupHeader object in UK FPS PayOut request** | Parameter | Required / Optional | Description | | --- | --- | --- | | controlSum | Required | Sum of the transaction amounts in this request. Must be less than or equal to 1,000,000. | | creationDateTime | Required | Date and time when the batch was created. Must be in local time with the time zone offset to UTC in the following format: YYYY-MM-DDThh:mm:ss±hh:mm | | initiatingParty.identification.organisationIdentification.bicOrBei | Conditionally required | If you are a financial institution, enter your BIC. | | initiatingParty.identification.organisationIdentification.other.identification | Conditionally required | If you are a financial institution, set to BANK. | | initiatingParty.name | Required | Name of the initiating party (you). Maximum 140 characters. No special characters allowed. | | messageIdentification | Required | Unique ID of the batch of transactions. Maximum 35 characters. | | numberOfTransactions | Required | Total number of transactions in the batch. Must be 1. | The following code snippet is an example of the `groupHeader` object. ```json { "groupHeader": { "messageIdentification": "N77064075778", "creationDateTime": "2023-09-27T13:36:24.000+0000", "numberOfTransactions": 1, "controlSum": 0.01, "initiatingParty": { "name": "Wallet in London" } } } ``` #### paymentInformation The `paymentInformation` object contains parameters related to the payment. **paymentInformation object in UK FPS PayOut request** | Parameter | Required / Optional | Description | | --- | --- | --- | | controlSum | Required | Sum of the transaction amounts in this request. Must be less than or equal to 1,000,000. | | numberOfTransactions | Required | Number of transactions in this batch. Must be 1. | | paymentInformationIdentification | Required | Unique ID of the payment. Maximum 35 characters. | | paymentMethod | Required | Set to TRF. | | paymentTypeInformation.serviceLevel.code | Required | Set to INST. For more information about service level codes, see [Payments - Service level codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#service-level-codes). | | requestedExecutionDate | Required | Date when the transaction should be executed in YYYY-MM-DD format. For more information about requested execution dates, see [Payments - Requested execution date](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#requested-execution-date). | The following code snippet is an example of the `paymentInformation` object. ```json { "paymentInformation": { "paymentInformationIdentification": "UKFPSTP3N77064075778", "numberOfTransactions": 1, "controlSum": 0.01, "paymentMethod": "TRF", "paymentTypeInformation": { "serviceLevel": { "code": "URNS" } }, "requestedExecutionDate": "2023-09-27" } } ``` #### paymentInformation.debtor The paymentInformation.`debtor` object contains information about the individual or business that represents the debtor. **paymentInformation.debtor object in UK FPS PayOut request** | Parameter | Required / Optional | Description | | --- | --- | --- | | identification.organisationIdentification.bicOrBei | Conditionally required | If you are a financial institution, set this to your BIC. | | identification.organisationIdentification.other.identification | Required | If you are a financial institution, set this to BANK. Otherwise, set this to your Company ID. | | identification.organisationIdentification.other.schemeName.proprietary | Conditionally required | If identification.organisationIdentification.other.identification is set to your Company ID, set this to JPMCOID. | | name | Required | Name of the debited party (you). Maximum 140 characters. | | postalAddress | Required | Postal address of the debtor. Must be in the UK. | The following code snippet is an example of the paymentInformation.`debtor` object. ```json { "paymentInformation": { "debtor": { "name": "JPMC in London", "postalAddress": { "country": "GB" } } } } ``` #### paymentInformation.debtorAccount The paymentInformation.`debtorAccount` object contains information about the bank account of the debtor. **paymentInformation.debtorAccount object in UK FPS PayOut request** | Parameter | Required / Optional | Description | | --- | --- | --- | | currency | Required | Three-character ISO 4217 code for the currency of the funds in your Wallet DDA. Must be GBP. | | identification.other.identification | Required | Account number of the debited physical bank account. Must be 10 digits. | | name | Optional | Name of the debtor account.Maximum 140 characters. | The following code snippet is an example of the paymentInformation.`debtorAccount` object. ```json { "paymentInformation": { "debtorAccount": { "name": "JPMC Client Name", "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "GBP" } } } ``` #### paymentInformation.debtorAgent The paymentInformation.`debtorAgent` object contains information about the bank where the debtor account is located. **paymentInformation.debtorAgent object in UK FPS PayOut request** | Parameter | Required / Optional | Description | | --- | --- | --- | | financialInstitutionIdentification.bic | Conditionally required | BIC of the bank branch where the debtor account is located. If the debtor account is your Wallet DDA, this must be the BIC of the J.P. Morgan Chase Bank, London branch (CHASGB2LXXX). See [Reference - Supported branches and their BICs](/docs/treasury/jp-morgan-wallet/reference#supported-branches-and-their-business-identifier-codes-bics). | | financialInstitutionIdentification.clearingSystemMemberIdentification.clearingSystemIdentification.code | Conditionally required | Set to GBDSC. Either the BIC (financialInstitutionIdentification.bic) or the routing number (financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification) of the debtor bank branch is required. If you provide the routing number, you must provide this parameter. For more information, see [Payments - Clearing system identification codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#clearing-system-identification-codes). | | financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification | Conditionally required | Six-digit UK Sort Code of the debtor bank branch. Either the BIC (financialInstitutionIdentification.bic) or the routing number (financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification) of the debtor bank branch is required. If you provide the routing number, you must provide this parameter. | | financialInstitutionIdentification.postalAddress | Required | Postal address of the debtor bank branch. Must be in the UK. | The following code snippet is an example of the paymentInformation.`debtorAgent` object. ```json { "paymentInformation": { "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX", "postalAddress": { "country": "GB" } } } } } ``` #### paymentInformation.creditTransferTransactionInformation The paymentInformation.`creditTransferTransactionInformation` object contains information about the transaction such as the creditor, the ultimate debtor, and the ultimate creditor. **paymentInformation.creditTransferTransactionInformation object in UK FPS PayOut request** | Parameter | Required / Optional | Description | | --- | --- | --- | | amount.instructedAmount.amount | Required | Amount of money in the transaction. Must be less than or equal to 1,000,000. | | amount.instructedAmount.currency | Required | Currency code of the funds being transferred in three-character ISO 4217 format. Must be GBP. | | creditor.identification | Optional | ID of the creditor. | | creditor.name | Required | For payments to individuals, provide the first, middle, and last names with spaces between each name. Maximum 35 characters. | | creditor.postalAddress | Required | Postal address of the creditor. Must be in the UK. | | creditorAccount.currency | Optional | Three-character ISO 4217 code of the currency of the funds in the credited DDA. Must be GBP. | | creditorAccount.identification.IBAN | Conditionally required | International Bank Account Number (IBAN) of the creditor bank account. Required if you don't provide creditorAccount.identification.other.identification. | | creditorAccount.identification.other.identification | Conditionally required | Account number of the credited physical bank account. Required if you don't provide identification.IBAN. Must not contain leading zeros. Maximum eight digits. | | creditorAgent.financialInstititutionIdentification.bic | Optional but recommended | BIC of the creditor bank branch. Must be in the UK. | | creditorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification.clearingSystemIdentification.code | Required | Code that identifies the clearing system for the transaction. Must be GBDSC. For more information, see [Clearing system identification codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#clearing-system-identification-codes). | | creditorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification | Conditionally required | Six-digit UK Sort Code of the creditor bank branch. Required if you don't provide identification.IBAN. | | creditorAgent.financialInstitutionIdentification.postalAddress | Required | Postal address of the creditor bank branch. Must be in the UK. | | paymentIdentification.endToEndIdentification | Required | Unique ID for tracing requests and responses for this transaction. Maximum 16 characters. | | remittanceInformation.unstructured | Optional | Payment details. Maximum 18 characters. | | ultimateDebtor.identification.organisationIdentification.other.identification | Conditionally required | ID of the ultimate debtor VTA. Required if the ultimateDebtor parameter is present. | | ultimateDebtor.identification.organisationIdentification.other.schemeName.proprietary | Conditionally required | Set to virtualAccountIdentification. Required if the ultimateDebtor parameter is present. | | ultimateDebtor.name | Conditionally required | Required if the payment is made on behalf of a third party (not the debtor). Maximum 35 characters. | | ultimateDebtor.postalAddress | Conditionally required | Required if the ultimateDebtor parameter is present. | The following code snippet is an example of the paymentInformation.`creditTransferTransactionInformation` object. ```json { "paymentInformation": { "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "N77064075778" }, "amount": { "instructedAmount": { "amount": 0.01, "currency": "GBP" } }, "creditorAgent": { "financialInstitutionIdentification": { "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "GBDSC" }, "memberIdentification": "609242" }, "postalAddress": { "country": "GB" } } }, "creditor": { "name": "Individual Beneficiary Name", "postalAddress": { "streetName": "123 Bene Street Name", "townName": "Bene Town Name", "country": "GB" }, "identification": { "privateIdentification": { "other": [] } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXX" } } }, "remittanceInformation": { "unstructured": [ "PVT UKFPS 1234567890" ] } } ] } } ``` ## Examples ### Request with minimum required data (non-TP3) The following example shows the minimum data required to execute a PayOut transaction using the UK FPS payment rail. ```json { "groupHeader": { "messageIdentification": "N77064075778", "creationDateTime": "2023-09-27T13:36:24.000+0000", "numberOfTransactions": 1, "controlSum": 0.01, "initiatingParty": { "name": "Wallet in London" } }, "paymentInformation": { "paymentInformationIdentification": "UKFPSTP3N77064075778", "numberOfTransactions": 1, "controlSum": 0.01, "paymentMethod": "TRF", "paymentTypeInformation": { "serviceLevel": { "code": "URNS" } }, "requestedExecutionDate": "2023-09-27", "debtor": { "name": "JPMC in London", "postalAddress": { "country": "GB" } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "GBP" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX", "postalAddress": { "country": "GB" } } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "N77064075778" }, "amount": { "instructedAmount": { "amount": 0.01, "currency": "GBP" } }, "creditorAgent": { "financialInstitutionIdentification": { "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "GBDSC" }, "memberIdentification": "609242" }, "postalAddress": { "country": "GB" } } }, "creditor": { "name": "Individual Beneficiary Name", "postalAddress": { "streetName": "123 Bene Street Name", "townName": "Bene Town Name", "country": "GB" } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXX" } } } } ] } } ``` ### Request with optional data The following example shows the request body of a PayOut transaction using the UK FPS payment rail with optional parameters. ```json { "groupHeader": { "messageIdentification": "N77064075778", "creationDateTime": "2023-09-27T13:36:24.000+0000", "numberOfTransactions": 1, "controlSum": 0.01, "initiatingParty": { "name": "Wallet in London" } }, "paymentInformation": { "paymentInformationIdentification": "UKFPSTP3N77064075778", "numberOfTransactions": 1, "controlSum": 0.01, "paymentMethod": "TRF", "paymentTypeInformation": { "serviceLevel": { "code": "URNS" } }, "requestedExecutionDate": "2023-09-27", "debtor": { "name": "JPMC in London", "postalAddress": { "country": "GB" } }, "debtorAccount": { "name": "JPMC Client Name", "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "GBP" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX", "postalAddress": { "country": "GB" } } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "N77064075778" }, "amount": { "instructedAmount": { "amount": 0.01, "currency": "GBP" } }, "ultimateDebtor": { "name": "SELLER BENEFICIARY NAME", "postalAddress": { "townName": "Tokyo", "streetName": "456 Street Name", "country": "JP", "postCode": "1234567" }, "identification": { "privateIdentification": { "other": [ { "identification": "LON2PATSY01", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "GBDSC" }, "memberIdentification": "609242" }, "postalAddress": { "country": "GB" } } }, "creditor": { "name": "Individual Beneficiary Name", "postalAddress": { "streetName": "123 Bene Street Name", "townName": "Bene Town Name", "country": "GB" }, "identification": { "privateIdentification": { "other": [] } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXX" } } }, "remittanceInformation": { "unstructured": [ "PVT UKFPS 1234567890" ] } } ] } } ``` ### Response The following is the synchronous response to the previous example request. ```json { "groupHeader": { "messageIdentification": "99b80113-d7ed-4e9e-95c4-e3f486234c59", "creationDateTime": "2023-09-27T13:36:27.000+0000", "initiatingParty": { "name": "Wallet in London" } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "N77064075778", "originalMessageNameIdentification": "API-PAYOUT", "originalCreationDateTime": "2023-09-27T13:36:24.000+0000", "originalNumberOfTransactions": 1, "originalControlSum": 0.01, "groupStatus": "ACTC", "statusReasonInformation": [], "numberOfTransactionsPerStatus": [ { "detailedNumberOfTransactions": "1", "detailedStatus": "ACTC", "detailedControlSum": 0.01 } ] }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "UKFPSTP3N77064075778", "paymentInformationStatus": "ACTC", "statusReasonInformation": [], "numberOfTransactionsPerStatus": [ { "detailedNumberOfTransactions": "1", "detailedStatus": "ACTC", "detailedControlSum": 0.01 } ], "transactionInformationAndStatus": [ { "originalEndToEndIdentification": "N77064075778", "transactionStatus": "ACTC", "statusReasonInformation": [], "acceptanceDateTime": "2023-09-27T13:36:27.396+0000", "accountServicerReference": "d844a327-e387-4241-9ee4-f06abf395013", "originalTransactionReference": { "amount": { "instructedAmount": { "amount": 0.01, "currency": "GBP" } }, "requestedExecutionDate": "2023-09-27", "paymentMethod": "TRF", "ultimateDebtor": { "name": "SELLER BENEFICIARY NAME", "postalAddress": { "townName": "Tokyo", "streetName": "456 Street Name", "country": "JP", "postCode": "1234567" }, "identification": { "privateIdentification": { "other": [ { "identification": "LON2PATSY01", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "GBP", "name": "JPMC Client Name" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX", "postalAddress": { "country": "GB" } } }, "creditorAgent": { "financialInstitutionIdentification": { "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "GBDSC" }, "memberIdentification": "609242" }, "postalAddress": { "country": "GB" } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXX" } } } } } ] } } ``` ### Notification The following is the asynchronous notification that Wallet sends after completing the previous example request. ```json { "groupHeader": { "messageIdentification": "8a0223a9-5937-4a45-9871-11d28555aeda", "creationDateTime": "2023-09-06T14:53:37.187+0000", "initiatingParty": { "name": "Debtor Name" } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "N77064075778", "originalMessageNameIdentification": "API-PAYOUT", "originalNumberOfTransactions": 1 }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "UKFPSN77064040803", "transactionInformationAndStatus": [ { "originalInstructionIdentification": "N77064075778", "originalEndToEndIdentification": "N77064075778", "transactionStatus": "ACSC", "statusReasonInformation": [ { "additionalInformation": [ "/eventType/PaymentComplete" ] } ], "acceptanceDateTime": "2023-09-06T14:53:09.650+0000", "accountServicerReference": "119CMJ1614F0", "originalTransactionReference": { "amount": { "instructedAmount": { "amount": 0.1, "currency": "GBP" } }, "requestedExecutionDate": "2023-09-06", "paymentMethod": "TRF", "remittanceInformation": [ { "remittanceInformationText": "Remittance Info 123", "remittanceSequenceNumber": "1" } ], "ultimateDebtor": { "name": "SELLER BENEFICIARY NAME", "postalAddress": { "townName": "Tokyo", "streetName": "456 Street Name", "country": "JP", "postCode": "1234567" }, "identification": { "organisationIdentification": { "other": [ { "identification": "TEST-VTA-GBP-01", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "GBP" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX", "postalAddress": { "country": "GB" } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "UNAVAILABLE", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "GBDSC" }, "memberIdentification": "404611" }, "postalAddress": { "country": "GB" } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXX" } }, "currency": "GBP" }, "receiver": { "name": "Individual Beneficiary Name", "postalAddress": { "streetName": "123 Bene Street Name", "townName": "Bene Town Name", "country": "GB" } } } } ] } } ``` ## TP3 PayOuts This section explains the requirements for Third Party Payment Processor (TP3) transactions using the UK FPS payment rail. For more information about TP3 transactions, see [Pay on behalf of a third party](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#tp3-pay-on-behalf-of-a-third-party). ### Flows Wallet supports the following flows for TP3 UK FPS transactions: - London / GBP to GBP ### Requirements In addition to the requirements described in [Payments](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview), the following fields in the paymentInformation.`creditTransferTransactionInformation` object have specific requirements for TP3 UK FPS transactions. The total combined length of the `ultimateDebtor` fields and the `remittanceInformation` fields must be less than or equal to 233 characters. **paymentInformation.creditTransferTransactionInformation object requirements for TP3 UK FPS** | Field | Required / Optional | Requirements | | --- | --- | --- | | remittanceInformation.unstructured | Optional | Maximum 18 characters. | | ultimateDebtor.name | Required | Maximum 140 characters. | | ultimateDebtor.postalAddress.addressLine | Optional | Maximum 70 characters. | | ultimateDebtor.postalAddress.buildingNumber | Optional | Maximum 16 characters. | | ultimateDebtor.postalAddress.country | Required | Two-character ISO 3166 country code. | | ultimateDebtor.postalAddress.countrySubDivision | Optional | Maximum 35 characters. | | ultimateDebtor.postalAddress.postCode | Required | Maximum 16 characters. | | ultimateDebtor.postalAddress.streetName | Required | Maximum 70 characters. | | ultimateDebtor.postalAddress.townName | Required | Maximum 35 characters. | ### Example The following is an example of the `ultimateDebtor` object in a TP3 UK FPS request. ```json "ultimateDebtor": { "name": "Ultimate Debtor Name", "postalAddress": { "streetName": "12345 Street Name", "buildingNumber": "12345", "townName": "Town", "postCode": "12345", "countrySubDivision": "Sheer", "country": "GB", "addressLine": [ "Additional Address Information" ] }, ... ```